vich_uploader:
    db_driver: orm
    metadata:
        type: attribute
    mappings:
        media_object:
            uri_prefix: /media
            upload_destination: '%kernel.project_dir%/public/media'
            # Will rename uploaded files using a uniqueid as a suffix.
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            
        log_file:
            uri_prefix: /logs
            upload_destination: '%kernel.project_dir%/public/logs'
            # Utilisation d'un nom personnalisé pour organiser les fichiers par date et par station
            namer: App\Naming\LogFileNamer
            # Configuration du répertoire de destination dynamique
            directory_namer:
                service: App\Naming\LogDirectoryNamer
